config.h File Reference

Library configuration file. More...

Go to the source code of this file.

## Namespaces

| CryptoPP
| Crypto++ library namespace.

## Macros

#define | IS_LITTLE_ENDIAN
#define | USE_MS_CRYPTOAPI
#define | CRYPTOPP_VERSION 564
#define | CRYPTOPP_DATA_DIR ""
#define | CRYPTOPP_MAINTAIN_BACKWARDS_COMPATIBILITY_562
#define | GZIP_OS_CODE 0
#define | PREFER_BERKELEY_STYLE_SOCKETS
#define | CRYPTOPP_RIJNDAEL_NAME "AES"
#define | CRYPTOPP_USER_PRIORITY 250
#define | WORKAROUND_MS_BUG_Q258000
#define | CRYPTOPP_ENABLE_NAMESPACE_WEAK 1
#define | Weak1 Weak
#define | CryptoPP
#define | NAMESPACE_BEGIN(x)
#define | NAMESPACE_END
#define | DOCUMENTED_TYPEDEF(x, y) class y : public x {};
#define | protected private
#define | ANONYMOUS_NAMESPACE_BEGIN namespace {
#define | ANONYMOUS_NAMESPACE_END }
#define | USING_NAMESPACE(x) using namespace x;
#define | DOCUMENTED_NAMESPACE_BEGIN(x) namespace x {
#define | DOCUMENTED_NAMESPACE_END }
#define | TYPE_OF_SOCKLEN_T int
#define | W64LIT(x) x##ULL
#define | CRYPTOPP_NATIVE_DWORD_AVAILABLE 1
#define | CRYPTOPP_BOOL_SLOW_WORD64 1
#define | CRYPTOPP_L1_CACHE_LINE_SIZE 32
#define | CRYPTOPP_ALIGN_DATA(x)
#define | CRYPTOPP_SECTION_ALIGN16
#define | CRYPTOPP_SECTION_INIT
#define | CRYPTOPP_FASTCALL
#define | CPP_TYPENAME typename
#define | CRYPTOPP_VC6_INT64
#define | CRYPTOPP_NO_VTABLE
#define | CRYPTOPP_UNCAUGHT_EXCEPTION_AVAILABLE
#define | CRYPTOPP_BOOL_SSE2_INTRINSICS_AVAILABLE 0
#define | CRYPTOPP_BOOL_SSE4_INTRINSICS_AVAILABLE 0
#define | CRYPTOPP_BOOL_AESNI_INTRINSICS_AVAILABLE 0
#define | CRYPTOPP_BOOL_ALIGN16 0
#define | CRYPTOPP_MALLOC_ALIGNMENT_IS_16
#define | CRYPTOPP_NOINLINE_DOTDOTDOT ...
#define | CRYPTOPP_NOINLINE
#define | CRYPTOPP_CONSTANT(x) static const int x;
#define | CRYPTOPP_BOOL_X32 0
#define | CRYPTOPP_BOOL_X86 0
#define | CRYPTOPP_BOOL_X64 0
#define | CRYPTOPP_BOOL_ARM32 0
#define | CRYPTOPP_BOOL_ARM64 0
#define | CRYPTOPP_WIN32_AVAILABLE
#define | CRYPTOPP_BSD_AVAILABLE
#define | HIGHRES_TIMER_AVAILABLE
#define | THREAD_TIMER_AVAILABLE
#define | HAS_WINDOWS_STYLE_SOCKETS
#define | SOCKETS_AVAILABLE
#define | USE_WINDOWS_STYLE_SOCKETS
#define | WINDOWS_PIPES_AVAILABLE
#define | NONBLOCKING_RNG_AVAILABLE
#define | BLOCKING_RNG_AVAILABLE
#define | OS_RNG_AVAILABLE
#define | HAS_PTHREADS
#define | THREADS_AVAILABLE
#define | HAS_WINTHREADS
#define | THREADS_AVAILABLE
#define | NONBLOCKING_RNG_AVAILABLE
#define | OS_RNG_AVAILABLE
#define | CRYPTOPP_DLL
#define | CRYPTOPP_API
#define | CRYPTOPP_EXTERN_DLL_TEMPLATE_CLASS extern template class CRYPTOPP_DLL
#define | CRYPTOPP_DLL_TEMPLATE_CLASS CRYPTOPP_EXTERN_DLL_TEMPLATE_CLASS
#define | CRYPTOPP_EXTERN_STATIC_TEMPLATE_CLASS extern template class
#define | CRYPTOPP_STATIC_TEMPLATE_CLASS CRYPTOPP_EXTERN_STATIC_TEMPLATE_CLASS
#define | CRYPTOPP_UNUSED(x) ((void)x)
#define | CRYPTOPP_DEPRECATED(msg)
#define | CRYPTOPP_THROW
#define | CRYPTOPP_NO_THROW
#define | CRYPTOPP_CONSTEXPR

## Typedefs

typedef unsigned char | byte
typedef unsigned short | word16
typedef unsigned int | word32
typedef unsigned long long | word64
typedef word64 | lword
typedef word16 | hword
typedef word32 | word
typedef word64 | dword

## Variables

const lword | LWORD_MAX = 0xffffffffffffffffULL
const unsigned int | WORD_SIZE = sizeof(word)
const unsigned int | WORD_BITS = WORD_SIZE * 8

## Detailed Description

Library configuration file.

Definition in file config.h.